Bug 500488 (CVE-2009-1373) - CVE-2009-1373 pidgin file transfer buffer overflow
Summary: CVE-2009-1373 pidgin file transfer buffer overflow
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-1373
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://web.nvd.nist.gov/view/vuln/det...
Whiteboard: impact=moderate,source=pidgin,reporte...
Depends On: 500494 500495 500496 500497 500500 502578 833958
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-05-12 21:59 UTC by Josh Bressers
Modified: 2019-06-08 12:45 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-06-09 07:12:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1059 normal SHIPPED_LIVE Important: pidgin security update 2009-05-22 12:08:19 UTC
Red Hat Product Errata RHSA-2009:1060 normal SHIPPED_LIVE Important: pidgin security update 2009-05-22 12:09:59 UTC

Description Josh Bressers 2009-05-12 21:59:19 UTC
A buffer overflow flaw was found in the way Pidgin initiates file
transfers. If a Pidgin client initiates a file transfer, and the remote
target sends a malformed response, it triggers a buffer overflow.

Comment 3 Josh Bressers 2009-05-12 22:18:44 UTC
This flaw only affects the Jabber protocol.

Comment 5 Jan Lieskovsky 2009-05-22 08:11:42 UTC
Link to upstream advisory:

http://www.pidgin.im/news/security//?id=29

Comment 6 errata-xmlrpc 2009-05-22 12:09:38 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3

Via RHSA-2009:1059 https://rhn.redhat.com/errata/RHSA-2009-1059.html

Comment 7 errata-xmlrpc 2009-05-22 12:10:02 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3

Via RHSA-2009:1059 https://rhn.redhat.com/errata/RHSA-2009-1059.html

Comment 8 errata-xmlrpc 2009-05-22 12:10:46 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2009:1060 https://rhn.redhat.com/errata/RHSA-2009-1060.html

Comment 10 Fedora Update System 2009-05-26 14:30:55 UTC
pidgin-2.5.6-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/pidgin-2.5.6-1.fc9

Comment 11 Fedora Update System 2009-06-02 14:26:11 UTC
pidgin-2.5.6-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2009-06-02 14:28:13 UTC
pidgin-2.5.6-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2009-06-02 14:33:16 UTC
pidgin-2.5.6-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.